img {
    width: 100%;
    height: 100%;
}

.flex {
    display: flex;
}

@media screen and (max-width: 768px) {
    .top-image .heading-1 .eng {
        font-size: 2.3rem;
    }
}

.content-6283452833934191 {
    position: relative;
    display: flex;
    align-items: center;
    gap: 18px;
    flex-direction: column;
    box-sizing: border-box;
    max-width: 700px;
    margin: 0 auto;
    padding: 50px 0 0;
}

.image-06151446519843762 {
    position: relative;
    width: 197px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
}

@media screen and (max-width: 768px) {
    .image-06151446519843762 {
        width: max(100px, 20%);
    }
}

.title-20406730677206508 {
    color: rgba(0, 0, 0, 1);
    text-align: left;
    font-size: 50px;
    font-weight: bold;
    line-height: 70px;
}

@media (max-width: 767.98px) {
    .title-20406730677206508  {
        font-size: 2.4rem;
        margin-top: 16px;
    }
}

.description-3569753120829724 {
    color: rgba(0, 0, 0, 1);
    text-align: left;
    font-size: 16px;
    line-height: 28px;
}

@media screen and (max-width: 768px) {
    .about-miracool {
        margin: 0 15px;
    }
    .title-20406730677206508 {
        font-size: 3rem;
        line-height: 4rem;
    }
}

.point_contentsFlex > div:first-of-type .point_imageDesc__main {
    height: 118px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.point_image {
    width: 100%;
}

.point_imageDesc {
    width: 100%;
}

.point_contentsFlex .caution {
    color: #707070;
    font-size: 14px;
}

.point_imageDesc__main .after {
    white-space: nowrap;
}

.point_contentsFlex .point_imageDesc__main {
    height: 118px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.line-height-narrow {
    line-height: 0.5 !important;
}

.point_imageDesc__main .narrow dd {
    line-height: 0.5;
}
.point_imageDesc__main .narrow dd .after {
    font-size: 30px;
    line-height: 1.3;
    justify-content: center;
    display: flex;
}
.point_imageDesc__main .narrow dt {
    font-size: 20px;
}

.point_imageDesc__main > div:not(:last-of-type) {
    position: relative;
}

.point_imageDesc__main > div:not(:last-of-type)::after {
    content: "";
    display: block;
    position: absolute;
    right: 0;
    bottom: 5%;
    border-right: 1px solid #fff;
    height: 75%;
}

section.construction {
    width: 100%;
    background-color: #F3F3F3;
    padding-bottom: 80px;
}


section.construction .title-const {
    font-weight: 800;
    text-align: center;
}

section.construction .title-const_sub {
    text-align: center;
    font-size: 2rem;
    font-weight: 800;
    color: #158FCB;
}

section.construction .const-frame {
    width: 100%;
    margin-top: 65px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

section.construction .items-const {
    width: 47.3%;
    position: relative;
    margin-bottom: 40px;
}

section.construction .items-const::before {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    border: 22px solid transparent;
    border-bottom: 22px solid #DCE405;
    border-right: 22px solid #DCE405;
    bottom: 13px;
    right: 13px;
    z-index: 2;
}

section.construction .items-const .txt-const {
    width: 100%;
    position: absolute;
    text-align: center;
    z-index: 1;
    bottom: 0;
    padding: 33px 0;
    background-color: rgba(21, 143, 203, 0.7);
}

section.construction .items-const .s-const {
    font-size: 2rem;
    color: #FFF;
    font-weight: 700;
    background-color: #00C6E4;
    white-space: nowrap;
    display: inline-block;
    padding: 3px 30px;
    margin-bottom: 14px;
}

section.construction .items-const .d-const {
    font-size: 3rem;
    font-weight: 700;
    color: #FFF;
    line-height: 1.3;
}

@media (min-width: 768px) {
    section.construction .title-const {
        font-size: 3.6rem;
        margin-top: 34px;
    }
}
@media (min-width: 767.99px) and (max-width: 1100px) {
    section.construction .const-frame {
        margin-top: 40px;
    }

    section.construction .items-const::before {
        border: 15px solid transparent;
        border-bottom: 15px solid #DCE405;
        border-right: 15px solid #DCE405;
    }

    section.construction .items-const .s-const {
        font-size: 1.8rem;
        white-space: normal;
    }

    section.construction .items-const .d-const {
        font-size: 2.4rem;
    }
}

@media (max-width: 767.98px) {
    section.construction .items-const::before {
        border: 10px solid transparent;
        border-bottom: 10px solid #DCE405;
        border-right: 10px solid #DCE405;
        bottom: 5px;
        right: 5px;
    }

    section.construction .title-const {
        font-size: 2.8rem;
    }

    section.construction .const-frame {
        margin-top: 45px;
    }

    section.construction .items-const {
        width: 100%;
        margin-bottom: 40px;
    }

    section.construction .items-const .txt-const {
        padding: 15px 0;
    }

    section.construction .items-const .s-const {
        font-size: 1.8rem;
        white-space: normal;
        margin: 0 10px 10px;
    }

    section.construction .items-const .s-const span {
        display: inline-block;
    }

    section.construction .items-const .d-const {
        font-size: 2.4rem;
    }

    .point_imageDesc__main .after {
        font-size: 2.8rem;
    }

    .point_imageDesc__main .narrow dt {
        font-size: 1.8rem;
    }

    .point_imageDesc__main .narrow dd .after {
        font-size: 2rem;
    }

    .point::before {
        height: 417px;
    }
    .point::after {
        max-height: 417px;
    }
}

.modalArea {
    width: 100%;
    position: relative;
    z-index: 99;
}

.modalArea img {
    object-fit: contain;
    height: auto;
    width: 100%;
    max-height: 343px;
}

@media (max-width: 767.98px) {
    .modalArea img {
        max-height: 263px;
    }
}

.modalArea .modal {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: rgba(112, 112, 112, 0.6);
}

.modalArea .modal .f-modals {
    position: relative;
    width: 100%;
    height: 80vh;
    max-width: 1100px;
    max-height: 1854px;
    background-color: #fff;
    left: 50%;
    top: 50%;
    z-index: 2;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.modalArea .modal .close {
    display: block;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    position: absolute;
    top: -18px;
    right: 5px;
    -webkit-transform: translate(40%, -40%) rotate(45deg);
    -ms-transform: translate(40%, -40%) rotate(45deg);
    transform: translate(40%, -40%) rotate(45deg);
    z-index: 1;
    cursor: pointer;
}

.modalArea .modal .close::after {
    content: "";
    position: absolute;
    z-index: 1;
    background-color: #FFF;
    left: 50%;
    top: 50%;
    width: 70%;
    height: 3px;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.modalArea .modal .close::before {
    content: "";
    position: absolute;
    z-index: 1;
    background-color: #FFF;
    left: 50%;
    top: 50%;
    width: 70%;
    height: 3px;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%) rotate(90deg);
    -ms-transform: translate(-50%, -50%) rotate(90deg);
    transform: translate(-50%, -50%) rotate(90deg);
}

.modalArea .modal-frame {
    padding: 41px 53px;
    overflow: scroll;
    overflow-x: hidden;
    width: 100%;
    height: 98%;
    position: relative;
    top: 1%;
    max-height: 1854px;
    /* width */
    /* Track */
    /* Handle */
    /* Handle on hover */
}

.modalArea .modal-frame::-webkit-scrollbar {
    width: 8px;
}

.modalArea .modal-frame::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.modalArea .modal-frame::-webkit-scrollbar-thumb {
    background: #888;
}

.modalArea .modal-frame::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.modalArea .top-modal {
    width: 100%;
    font-weight: 800;
    position: relative;
    padding-bottom: 30px;
}

.modalArea .top-modal::before {
    content: "";
    width: 100%;
    position: absolute;
    width: 1100px;
    height: 2px;
    background-color: #28A4E1;
    left: -53px;
    bottom: 0;
}

.modalArea .top-modal .title-modal_sub {
    font-size: 2rem;
}

.modalArea .top-modal .title-modal {
    font-size: 3rem;
    color: #158FCB;
}

.modalArea .content-modal {
    width: 100%;
    margin-top: 35px;
}

.modalArea .f-img_modal > div.arrow {
    display: flex;
    align-items: center;
    justify-content: center;
}

.modalArea .f-img_modal > div.arrow::after {
    display: none;
}

.modalArea .f-img_modal > div.arrow img {
    width: 22px;
    height: 50px;
}

.modalArea .f-img_modal {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.modalArea .f-img_modal .desc-img {
    width: 100%;
    margin-top: 32px;
}

.modalArea .f-img_modal .img-modal {
    width: 47.29%;
}

.modalArea .f-img_modal .arrow {
    position: relative;
}

.modalArea .f-img_modal .arrow::after {
    content: "";
    position: absolute;
    right: -39px;
    top: 50%;
    width: 22px;
    height: 50px;
    transform: translateY(-50%);
    background-image: url("../images/product/f-ri-coat/arrow.png");
    background-size: cover;
    background-repeat: no-repeat;
}

.modalArea .f-img_modal .desc-img-sub {
    font-size: 1.6rem;
    color: #808080;
    margin-top: 10px;
}

.modalArea .table-modal {
    margin-top: 35px;
    border: 1px solid #CCCCCC;
}

.modalArea .table-modal table {
    width: 100%;
}

.modalArea .table-modal tr {
    display: flex;
    align-items: center;
    width: 100%;
    background-color: #F3F3F3;
    border-bottom: 1px solid #CCCCCC;
}

.modalArea .table-modal tr:last-of-type {
    border-bottom: 0;
}

.modalArea .table-modal th {
    width: 24.27%;
    font-size: 2rem;
    font-weight: 700;
    text-align: left;
    padding-left: 39px;
}

.modalArea .table-modal td {
    width: 75.73%;
    background-color: #fff;
    padding: 22px;
    border-left: 1px solid #CCCCCC;
    font-size: 2rem;
}
@media screen and (max-width: 768px) {
    .modalArea .table-modal td {
        padding: 22px 10px;
    }
}

.modalArea .table-modal .c-red {
    color: #FF0000;
}

.modalArea .table-modal .list-modal > div,
.modalArea .table-modal .list-modal {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
}

.modalArea .table-modal .list-modal .ix-tb {
    max-width: 100px;
    margin: 0 25px 20px;
    white-space: nowrap;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.modalArea .table-modal .list-modal .ix-tb img {
    height: 100%;
    max-width: 69px;
    max-height: 66px;
}

.modalArea .table-modal .list-modal .ix-tb span {
    padding-top: 8px;
    text-align: center;
    display: inline-block;
    width: 100%;
    font-size: 2rem;
    font-weight: 700;
}

.modalArea .table-modal .fl-fs {
    align-items: flex-start;
}

.modalArea .table-modal .fl-fs th {
    padding-top: 50px;
}

.modalArea .table-modal .list-modal-color {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    padding-left: 30px;
}

.modalArea .table-modal .list-modal-color .ix-tb {
    width: 83px;
    margin-right: 14px;
    text-align: center;
    padding-bottom: 10px;
    font-weight: 700;
}

.modalArea .table-modal .list-modal-color .txt-ix {
    width: 100%;
    font-size: 1.4rem;
}

.modalArea .desc-sub {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modalArea .desc-sub .txt-sub {
    width: 20%;
    font-size: 2rem;
    font-weight: 700;
}

.modalArea .desc-sub .img-sub {
    width: 77.5%;
}

.modalArea .btn-modal {
    width: 100%;
    margin-top: 45px;
    margin-bottom: 20px;
}

.modalArea .btn-modal .btn-s {
    width: 320px;
    margin: 0 auto;
    padding: 12px 0;
    border-radius: 10px;
    background-color: #000;
    color: #fff;
    font-size: 2rem;
    font-weight: 700;
    text-align: center;
    transition: all 0.3s;
    cursor: pointer;
}

.modalArea .btn-modal .btn-s:hover {
    opacity: 0.7;
}

.modalArea .list-modal-color .ix-tb {
    display: flex;
    flex-direction: column;
    min-width: 140px;
    align-items: center;
}

.modalArea .list-modal-color .ix-tb span {
    white-space: nowrap;
}

.modalArea .list-modal-color .ix-tb img {
    width: 80px;
    height: 80px;
}

.modalArea .font-small {
    font-size: 14px;
}

.modalArea .font-medium {
    font-size: 16px;
}

@media (min-width: 767.99px) and (max-width: 1100px) {
    .modalArea .modal-frame {
        padding: 20px;
    }

    .modalArea .top-modal .title-modal_sub {
        font-size: 1.8rem;
    }

    .modalArea .top-modal .title-modal {
        font-size: 2.6rem;
    }

    .modalArea .modal .f-modals {
        width: calc(100% - 30px);
    }

    .modalArea .f-img_modal .arrow::after {
        right: -25px;
        width: 15px;
        height: 33px;
    }
}

.modalArea .f-detail_modal {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-bottom: 100px;
}

.modalArea .f-detail_modal > div {
    display: flex;
    gap: 30px;
}
.modalArea .f-detail_modal > div > div {
    flex: 1;
    font-size: 20px;
}
.modalArea .f-detail_modal .before > div {
    background: #808080;
    color: #fff;
    font-weight: bold;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.modalArea .f-detail_modal .after > div {
    background: #28A4E1;
    color: #fff;
    font-weight: bold;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modalArea .img-modal.before {
    position: relative;
}

.modalArea .img-modal.before::before {
    position: absolute;
    content: "";
    z-index: 10;
    top: 0;
    left: 0;
    border-top: 45px solid #ccc;
    border-left: 45px solid #ccc;
    border-bottom: 45px solid transparent;
    border-right: 45px solid transparent;
}

.modalArea .img-modal.before::after {
    position: absolute;
    content: "BEFORE";
    z-index: 11;
    transform-origin: 50% 50%;
    transform: rotate(-45deg);
    top: 30px;
    left: 18px;
    background-image: none;
    color: #fff;
}

.modalArea .img-modal.after {
    position: relative;
}

.modalArea .img-modal.after::before {
    position: absolute;
    content: "";
    z-index: 10;
    top: 0;
    left: 0;
    border-top: 45px solid #28A4E1;
    border-left: 45px solid #28A4E1;
    border-bottom: 45px solid transparent;
    border-right: 45px solid transparent;
}

.modalArea .img-modal.after::after {
    position: absolute;
    content: "AFTER";
    z-index: 11;
    transform-origin: 50% 50%;
    transform: rotate(-45deg);
    top: 21px;
    left: 11px;
    background-image: none;
    color: #fff;
}

.modalArea .small {
    font-size: 1.5rem !important;
    line-height: 0.8;
    text-align: center;
    transform: translateY(-10px);
}

.modalArea .list-modal .ix-tb {
    display: grid;
    grid-template-rows: 100px 1fr;
    height: 100%;
}

.modalArea .list-modal .ix-tb span {
    height: 70px;
}

@media screen and (max-width: 768px) {
    .modalArea .f-img_modal {
        flex-direction: column;
    }

    .modalArea .f-img_modal .img-modal {
        width: 100%;
    }

    .modalArea .f-img_modal > .arrow {
        margin-bottom: 0;
    }

    .modalArea .f-img_modal > div.arrow {
        margin: 10px 0;
        transform: rotate(90deg);
    }
    .modalArea .modal-frame {
        padding: 0;
    }

    .modalArea .table-modal tr {
        flex-direction: column;
    }

    .modalArea .table-modal th {
        width: 100%;
        padding-left: .5rem;
        text-align: center;
    }

    .modalArea .table-modal td {
        width: 100%;
    }

    .modalArea .f-detail_modal > div {
        display: flex;
        flex-direction: column;
    }

    .modalArea .f-detail_modal {
        margin-bottom: 60px;
    }
    .modalArea .table-modal .list-modal .ix-tb {
        margin: 0 14px 10px;
    }

    .modalArea .list-modal-color .ix-tb img {
        width: 64px;
        height: 64px;
    }

    .modalArea .list-modal-color .ix-tb span {
        font-size: 16px;
    }

    .modalArea .table-modal .list-modal-color .ix-tb {
        width: 70px;
        margin-right: 7px;
    }

    .solution .case {
        background: #158fcb !important;
    }
	  .solution .case::before {
        z-index: -2;
        background: url('../images/product/miracool-barrier/sp_case_backimage.jpg') no-repeat center top/contain;
    }
}

.solution .case {
  background: url(../images/product/miracool-barrier/case_backimage.jpg) no-repeat center center/cover;
  z-index: 0;
  position: relative;
}

.top-image {
  background: url(../images/product/miracool-barrier/img_top.jpg) no-repeat center center/cover;
  height: 600px;
}
